#! /usr/bin/env python3
from parser import parse 
from tokenizer import tokenizer
import sys
import argparse

def main():
    sys.argv
    argv_parser = argparse.ArgumentParser(prog="PLTOML",description="A command line tool to convert toml files into json using ply.")
    argv_parser.add_argument("-i","--input",help="The filepath to the target input file")
    argv_parser.add_argument("-o","--output",help="The filepath to the target output file")
    argv_parser.add_argument("-t","--tokenizer",help="This feature allows you to inspect all the tokens captured by the lexer (should only be used for debugging)")
    
    args = argv_parser.parse_args()
    if args.tokenizer is not None:
        tokenizer(args.input,args.output)
    else:
        parse(args.input,args.output)

if __name__ == "__main__":
    main()


